#include "StringIdentifier.h"

StringIdentifier::StringIdentifier(const AgString &id)
{
    this->id = id;
}

AgString StringIdentifier::getId()
{
	return id;
}

bool StringIdentifier::equals(StringIdentifier *obj)
{
    if (obj == NULL)
        return false;

    return id == obj->id;
}

int StringIdentifier::hashCode()
{
    return id.hashCode();
}

AgString StringIdentifier::toString()
{
    return id.empty() == true  ? StringIdentifier::toString() : id;
}


